# GPU Ninja API reference > Every endpoint of the GPU Ninja JSON API, version 1.1.0. Canonical: https://gpuninja.com/docs/api/reference Data as of: unknown Path: Home ## Endpoints ### GET /api/v1/benchmarks - Returns: BenchmarkCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/benchmarks/page/{page} - Returns: BenchmarkCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/benchmarks/{slug} - Returns: BenchmarkDetail - Parameters: slug (Slug) - Not found: No such benchmark. ### GET /api/v1/boards - Returns: BoardCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/boards/all - Returns: BoardCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/boards/all/page/{page} - Returns: BoardCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/boards/page/{page} - Returns: BoardCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/boards/{slug} - Returns: BoardDetail - Parameters: slug (Slug) - Not found: No such board. ### GET /api/v1/boards/{slug}/can-run - Returns: BoardCanRun - Parameters: slug (Slug) - Not found: No such board. ### GET /api/v1/boards/{slug}/fits - Returns: BoardFits - Parameters: slug (Slug) - Not found: No such board. ### GET /api/v1/changes - Returns: Changes - Parameters: None - Not found: Not found. ### GET /api/v1/changes/{month} - Returns: ChangesArchive - Parameters: month (string) - Not found: No changes were merged that month. ### GET /api/v1/chassis - Returns: ChassisCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/chassis/all - Returns: ChassisCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/chassis/all/page/{page} - Returns: ChassisCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/chassis/page/{page} - Returns: ChassisCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/chassis/{slug} - Returns: ChassisDetail - Parameters: slug (Slug) - Not found: No such chassis. ### GET /api/v1/chassis/{slug}/fits - Returns: ChassisFits - Parameters: slug (Slug) - Not found: No such chassis. ### GET /api/v1/chips - Returns: ChipCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/chips/all - Returns: ChipCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/chips/all/page/{page} - Returns: ChipCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/chips/page/{page} - Returns: ChipCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/chips/{slug} - Returns: ChipDetail - Parameters: slug (Slug) - Not found: No such chip. ### GET /api/v1/index - Returns: SearchIndex - Parameters: None - Not found: Not found. ### GET /api/v1/models - Returns: ModelCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/models/page/{page} - Returns: ModelCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/models/{slug} - Returns: ModelDetail - Parameters: slug (Slug) - Not found: No such model. ### GET /api/v1/models/{slug}/runs-on - Returns: ModelRunsOn - Parameters: slug (Slug) - Not found: No such model. ### GET /api/v1/motherboards - Returns: MotherboardCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/motherboards/all - Returns: MotherboardCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/motherboards/all/page/{page} - Returns: MotherboardCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/motherboards/page/{page} - Returns: MotherboardCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/motherboards/{slug} - Returns: MotherboardDetail - Parameters: slug (Slug) - Not found: No such motherboard. ### GET /api/v1/platforms - Returns: PlatformCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/platforms/page/{page} - Returns: PlatformCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/platforms/{slug} - Returns: PlatformDetail - Parameters: slug (Slug) - Not found: No such platform. ### GET /api/v1/risers - Returns: RiserCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/risers/all - Returns: RiserCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/risers/all/page/{page} - Returns: RiserCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/risers/page/{page} - Returns: RiserCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/risers/{slug} - Returns: RiserDetail - Parameters: slug (Slug) - Not found: No such riser. ### GET /api/v1/sockets - Returns: SocketCollectionPage - Parameters: None - Not found: Not found. ### GET /api/v1/sockets/page/{page} - Returns: SocketCollectionPage - Parameters: page (integer) - Not found: No such page. ### GET /api/v1/sockets/{slug} - Returns: SocketDetail - Parameters: slug (Slug) - Not found: No such socket. ## Schemas ### Slug - Type: string ### UtcTimestamp - Type: string ### IsoDate - Type: string ### HttpsUrl - Type: string ### CurrencyCode - Type: string ### UsdAmount - Type: number ### MoneyAmount - Type: number ### PciId - Type: string ### ChangeRecordId - Type: string ### RunId - Type: string ### Scalar - Type: string or number or boolean or null ### EntityType - Type: one of chip, board, chassis, model, platform, benchmark, motherboard, riser, socket ### LifecycleStatus - Type: one of active, discontinued ### Links - self: HttpsUrl - page: HttpsUrl or null - text: HttpsUrl or null ### EntityRef - slug: Slug - name: string - links: Links ### VerificationStatus - Type: string ### FieldProvenance - sourceUrl: HttpsUrl - retrievedAt: UtcTimestamp - lastVerifiedAt: UtcTimestamp or null - runId: RunId or null - verificationStatus: VerificationStatus ### Provenance - Type: object ### Offer - merchant: string - price: MoneyAmount - currency: CurrencyCode - inStock: boolean - retrievedAt: UtcTimestamp - sourceUrl: HttpsUrl or null ### BenchmarkResult - benchmark: object - subject: object - model: EntityRef or null - platform: EntityRef - value: number - runDate: IsoDate - sourceUrl: HttpsUrl ### ChipSummary - slug: Slug - name: string - vendor: string - architecture: string or null - maxVramGb: number or null - referenceTdpW: number or null - memoryBandwidthGbps: number or null - fp32Tflops: number or null - fp16Tflops: number or null - bf16Tflops: number or null - fp8Tflops: number or null - fp4Tflops: number or null - int8Tops: number or null - unknownFields: array of one of architecture, dieName, processNode, shaderCores, tensorCores, rtCores, memoryBusWidthBits, maxVramGb, memoryBandwidthGbps, referenceBoostClockMhz, referenceTdpW, fp32Tflops, fp16Tflops, bf16Tflops, fp8Tflops, fp4Tflops, int8Tops, launchMsrpUsd, launchDate, pci.deviceIds, discontinuedAt, pcieGen, pcieLanes - pcieGen: integer or null - pcieLanes: integer or null - launchDate: IsoDate or null - segment: string or null - status: LifecycleStatus - boardCount: integer - links: Links ### BoardSummary - slug: Slug - name: string - chipSlug: Slug - vendor: string - vramGb: number or null - tdpW: number or null - lengthMm: number or null - slotWidth: number or null - unknownFields: array of one of vramGb, vramType, factoryBoostClockMhz, tdpW, lengthMm, widthMm, slotWidth, powerConnectors, recommendedPsuW, coolingType, discontinuedAt - lowestPriceUsd: UsdAmount or null - inStock: boolean - status: LifecycleStatus - links: Links ### ChassisSummary - slug: Slug - name: string - vendor: string - formFactor: string or null - maxGpuLengthMm: number or null - maxGpuSlots: number or null - psuIncludedW: number or null - expansionSlots: integer or null - verticalMountSlots: number or null - lowestPriceUsd: UsdAmount or null - inStock: boolean - status: LifecycleStatus - links: Links ### ModelSummary - slug: Slug - name: string - publisher: string or null - parametersB: number or null - activeParametersB: number or null - quantization: string or null - minVramGb: number or null - contextLength: integer or null - layers: integer or null - hiddenSize: integer or null - kvHeads: integer or null - headDim: integer or null - modality: string or null - links: Links ### PlatformSummary - slug: Slug - name: string - cpu: string or null - pcieGen: integer or null - os: string or null - framework: string or null - frameworkVersion: string or null - links: Links ### BenchmarkSummary - slug: Slug - name: string - suite: string or null - workloadType: string or null - metric: string - unit: string - higherIsBetter: boolean - resultCount: integer - links: Links ### ChipDetail - apiVersion: string - kind: string - asOf: UtcTimestamp or null - data: object - links: Links ### BoardDetail - apiVersion: string - kind: string - asOf: UtcTimestamp or null - data: object - links: Links ### ChassisDetail - apiVersion: string - kind: string - asOf: UtcTimestamp or null - data: object - links: Links ### ModelDetail - apiVersion: string - kind: string - asOf: UtcTimestamp or null - data: object - links: Links ### PlatformDetail - apiVersion: string - kind: string - asOf: UtcTimestamp or null - data: object - links: Links ### BenchmarkDetail - apiVersion: string - kind: string - asOf: UtcTimestamp or null - data: object - links: Links ### ChipCollectionPage - apiVersion: string - kind: string - collection: string - asOf: UtcTimestamp or null - page: integer - pageSize: number - pageCount: integer - totalItems: integer - scope: one of active, all - items: array of ChipSummary - links: object ### BoardCollectionPage - apiVersion: string - kind: string - collection: string - asOf: UtcTimestamp or null - page: integer - pageSize: number - pageCount: integer - totalItems: integer - scope: one of active, all - items: array of BoardSummary - links: object ### ChassisCollectionPage - apiVersion: string - kind: string - collection: string - asOf: UtcTimestamp or null - page: integer - pageSize: number - pageCount: integer - totalItems: integer - scope: one of active, all - items: array of ChassisSummary - links: object ### ModelCollectionPage - apiVersion: string - kind: string - collection: string - asOf: UtcTimestamp or null - page: integer - pageSize: number - pageCount: integer - totalItems: integer - scope: one of active, all - items: array of ModelSummary - links: object ### PlatformCollectionPage - apiVersion: string - kind: string - collection: string - asOf: UtcTimestamp or null - page: integer - pageSize: number - pageCount: integer - totalItems: integer - scope: one of active, all - items: array of PlatformSummary - links: object ### BenchmarkCollectionPage - apiVersion: string - kind: string - collection: string - asOf: UtcTimestamp or null - page: integer - pageSize: number - pageCount: integer - totalItems: integer - scope: one of active, all - items: array of BenchmarkSummary - links: object ### FitVerdict - Type: one of fits, check, does-not-fit ### FitReason - Type: object or object or object or object or object ### FitResult - verdict: FitVerdict - basis: one of dimensions, override - reasons: array of FitReason ### PsuAdvisory - includedW: number or null - recommendedW: number or null - sufficient: boolean or null ### FitCounts - fits: integer - check: integer - doesNotFit: integer ### BoardFits - apiVersion: string - kind: string - asOf: UtcTimestamp or null - board: BoardSummary - rule: object - counts: FitCounts - items: array of object - links: Links ### ChassisFits - apiVersion: string - kind: string - asOf: UtcTimestamp or null - chassis: ChassisSummary - rule: object - counts: FitCounts - items: array of object - links: Links ### BoardCanRun - apiVersion: string - kind: string - asOf: UtcTimestamp or null - board: BoardSummary - determinable: boolean - items: array of object - links: Links ### ModelRunsOn - apiVersion: string - kind: string - asOf: UtcTimestamp or null - model: ModelSummary - determinable: boolean - items: array of object - links: Links ### SearchIndexKind - Type: one of chip, board, chassis, model, motherboard, riser ### SearchIndexEntry - slug: Slug - kind: SearchIndexKind - name: string - chipSlug: Slug or null - vendor: string or null - vramGb: number or null - tdpW: number or null - lengthMm: number or null - slotWidth: number or null - lowestPriceUsd: UsdAmount or null - inStock: boolean or null - status: LifecycleStatus - pciVendorId: PciId or null - pciDeviceIds: array of PciId - socket: Slug or null - pcieGen: integer or null - speedTokPerSec: number or null - vramType: string or null - powerConnectors: array of object or null - recommendedPsuW: number or null - widthMm: number or null ### SearchIndex - apiVersion: string - kind: string - formatVersion: string - asOf: UtcTimestamp or null - datasetHash: string - speedReference: object - counts: object - entries: array of SearchIndexEntry ### ApiChangeOp - Type: one of added, updated, removed, discontinued, corrected ### ApiChange - op: ApiChangeOp - rowOp: one of insert, update, delete - correction: boolean - rowKey: string - entity: object - aspect: one of record, offer, benchmark-result, fit-override - merchant: string or null - currency: CurrencyCode or null - result: object or null - field: string or null - from: Scalar - to: Scalar - values: object or null ### ApiChangeRecord - id: ChangeRecordId - date: IsoDate - mergedAt: UtcTimestamp - origin: one of research, manual - changes: array of ApiChange ### Changes - apiVersion: string - kind: string - asOf: UtcTimestamp or null - window: object or null - records: array of ApiChangeRecord - archive: array of object - links: Links ### SocketSummary - slug: Slug - name: string - vendor: string - segment: string or null - motherboardCount: integer - links: Links ### MotherboardPcieSlot - position: integer - physicalLanes: integer - electricalLanes: integer - pcieGen: integer ### MotherboardSummary - slug: Slug - name: string - vendor: string - socketSlug: Slug - formFactor: string or null - pcieSlotCount: integer - status: LifecycleStatus - links: Links ### RiserSummary - slug: Slug - name: string - vendor: string - lengthMm: number or null - pcieGen: integer or null - lanes: integer or null - status: LifecycleStatus - links: Links ### MotherboardDetail - apiVersion: string - kind: string - asOf: UtcTimestamp or null - data: object - links: Links ### RiserDetail - apiVersion: string - kind: string - asOf: UtcTimestamp or null - data: object - links: Links ### SocketDetail - apiVersion: string - kind: string - asOf: UtcTimestamp or null - data: object - links: Links ### MotherboardCollectionPage - apiVersion: string - kind: string - collection: string - asOf: UtcTimestamp or null - page: integer - pageSize: number - pageCount: integer - totalItems: integer - scope: one of active, all - items: array of MotherboardSummary - links: object ### RiserCollectionPage - apiVersion: string - kind: string - collection: string - asOf: UtcTimestamp or null - page: integer - pageSize: number - pageCount: integer - totalItems: integer - scope: one of active, all - items: array of RiserSummary - links: object ### SocketCollectionPage - apiVersion: string - kind: string - collection: string - asOf: UtcTimestamp or null - page: integer - pageSize: number - pageCount: integer - totalItems: integer - scope: one of active, all - items: array of SocketSummary - links: object ### ChangesArchive - apiVersion: string - kind: string - month: string - asOf: UtcTimestamp - records: array of ApiChangeRecord - links: Links